### Method

# GLib VariantType is_definite

#### Declaration [src]

    gboolean
    g_variant_type_is_definite (
      const GVariantType* type
    )

#### Description [src]

Determines if the given `type` is definite (ie: not indefinite).

A type is definite if its type string does not contain any indefinite type characters (`*`, `?`, or `r`).

A `GVariant` instance may not have an indefinite type, so calling this function on the result of `g_variant_get_type()` will always result in true being returned. Calling this function on an indefinite type like `G_VARIANT_TYPE_ARRAY`, however, will result in `FALSE` being returned.

#### Return value

Type: `gboolean`

True if `type` is definite Since 2.24.